package com.mcwl.resource.service;

import com.mcwl.common.core.domain.R;
import com.mcwl.resource.domain.Collect;
import com.mcwl.resource.domain.vo.PageVo;

/**
 * 收藏服务层
 * @author DaiZibo
 * @date 2025/3/5
 * @apiNote
 */

public interface CollectService {
    R addCollect(Collect collect);

    Collect selectCollectById(Long modelId, Long userIdMax,Integer type);

    R selectCollect(PageVo pageVo);
}
